/**
 * Github base uri.
 *
 */
export declare const GITHUB_URI = "https://api.github.com/users";
/**
 * Get User's total stars of all time.
 *
 * @param {string} username
 * @param {number | string} per_page
 * @returns {Promise<number>}
 */
export declare const getUserTotalStars: (username: string, per_page?: number | string) => Promise<number>;
/**
 * Get User's total forks of all time.
 *
 * @param {string} username
 * @param {number | string} per_page
 * @returns {Promise<number>}
 */
export declare const getUserTotalForks: (username: string, per_page?: number | string) => Promise<number>;
/**
 * Get User's github profile data.
 *
 * @param {string} username
 * @returns {Promise<any>}
 */
export declare const getUserProfileData: (username: string) => Promise<any>;
